package com.persagy.apm.energy.report.monthly.detail.business.controller;

import com.persagy.apm.energy.report.monthly.detail.business.service.IReportBusinessDetailService;

import org.springframework.beans.factory.annotation.Autowired;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import com.persagy.apm.energy.report.monthly.detail.business.model.*;
import com.persagy.apm.energy.report.monthly.detail.business.model.vo.*;
import com.persagy.apm.energy.report.monthly.detail.business.model.dto.*;
import com.persagy.apm.common.response.*;
import com.persagy.apm.common.utils.ResultHelper;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.List;

/**
 * 报告详情控制层
 *
 * @author lixing
 * @version V1.0 2021-05-17 11:08:34
 */
@Api(tags = "报告详情")
@Validated
@RestController
@RequestMapping("reportBusinessDetails")
public class ReportBusinessDetailController {
    @Autowired
    private IReportBusinessDetailService reportBusinessDetailService;

//    @ApiOperation(value = "创建报告详情")
//    @PostMapping("/create")
//    public CommonResult<ApmResponseUpsertVO> createReportBusinessDetail(
//            @Valid @RequestBody AddReportBusinessDetailDTO addReportBusinessDetailDTO) {
//        String id = reportBusinessDetailService.createReportBusinessDetail(addReportBusinessDetailDTO);
//        return ResultHelper.single(new ApmResponseUpsertVO(id));
//    }

    @ApiOperation(value = "查看报告详情")
    @PostMapping("/get")
    public CommonResult<ResponseReportBusinessDetailItemVO> queryReportBusinessDetailDetail(
            @Valid @RequestBody QueryReportBusinessDetailDetailDTO queryReportBusinessDetailDetailDTO) {
        ReportBusinessDetail reportBusinessDetail = reportBusinessDetailService.queryReportBusinessDetailDetail(queryReportBusinessDetailDetailDTO.getId());
        ResponseReportBusinessDetailItemVO responseReportBusinessDetailItemVO = ConvertReportBusinessDetailTool.INSTANCE.convert2ResponseItemDTO(reportBusinessDetail);
        return ResultHelper.single(responseReportBusinessDetailItemVO);
    }


    @ApiOperation(value = "更新报告详情")
    @PostMapping("/update")
    public CommonResult<ApmResponseUpsertVO> updateReportBusinessDetail(
            @Valid @RequestBody UpdateReportBusinessDetailDTO updateReportBusinessDetailDTO) {
        reportBusinessDetailService.updateReportBusinessDetail(updateReportBusinessDetailDTO);
        return ResultHelper.single(new ApmResponseUpsertVO(updateReportBusinessDetailDTO.getId()));
    }


//    @ApiOperation(value = "删除报告详情")
//    @PostMapping("/delete")
//    public CommonResult deleteReportBusinessDetail(
//            @RequestBody @Valid DeleteReportBusinessDetailDTO deleteReportBusinessDetailDTO) {
//        reportBusinessDetailService.deleteReportBusinessDetail(deleteReportBusinessDetailDTO.getId());
//        return ResultHelper.success();
//    }
//
//
//    @ApiOperation(value = "报告详情列表")
//    @PostMapping("/query")
//    public CommonResult<PageList<ResponseReportBusinessDetailListItemVO>> queryReportBusinessDetail(
//            @Valid @RequestBody QueryReportBusinessDetailDTO queryReportBusinessDetailDTO) {
//        List<ReportBusinessDetail> reportBusinessDetailList = reportBusinessDetailService.queryReportBusinessDetailList(queryReportBusinessDetailDTO);
//        List<ResponseReportBusinessDetailListItemVO> resultList = ConvertReportBusinessDetailTool.INSTANCE.convert2List(reportBusinessDetailList);
//        return ResultHelper.multi(resultList);
//    }

    //@ApiOperation(value = "报告详情列表, 分页查询")
    //@PostMapping("/query")
    //public CommonResult<PageList<ResponseReportBusinessDetailListItemVO>> queryReportBusinessDetail(
    //        @Valid @RequestBody PageQueryReportBusinessDetailDTO pageQueryReportBusinessDetailDTO) {
    //    IPage<ReportBusinessDetail> pagedList = reportBusinessDetailService.pageQueryReportBusinessDetail(pageQueryReportBusinessDetailDTO);
    //    IPage<ResponseReportBusinessDetailListItemVO> pagedResultList = pagedList.convert(item -> {
    //        try {
    //           return ConvertReportBusinessDetailTool.INSTANCE.convert2ResponseListItemDTO(item);
    //        } catch (Exception e) {
    //            throw new IllegalArgumentException("分页查询，ReportBusinessDetail实体类转换为列表对象发生异常", e);
    //        }
    //    });
    //    return ResultHelper.multi(pagedResultList);
    //}
}

