package com.persagy.apm.energy.report.monthly.detail.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lixing
 * @version V1.0 2021/5/17 3:15 下午
 **/
@Data
@ApiModel(value = "可同比项目能源费")
public class CompareCost {

    @ApiModelProperty("当前能耗类型编码")
    private String code;

    @ApiModelProperty("当前能耗类型名称")
    private String name;

    @ApiModelProperty("父级能耗类型编码")
    private String parentCode;

    @ApiModelProperty("父级能耗类型名称")
    private String parentName;

    @ApiModelProperty("本月费用")
    private Double currentMonth;

    @ApiModelProperty("上月费用")
    private Double lastMonth;

    @ApiModelProperty("本年度累计费用")
    private Double yearCount;

    @ApiModelProperty("去年同期累计费用")
    private Double lastYearCount;

    @ApiModelProperty("环比增量")
    private Double linkCount;

    @ApiModelProperty("环比增幅")
    private Double linkRange;

    @ApiModelProperty("同比增量")
    private Double sameCount;

    @ApiModelProperty("同比增幅")
    private Double sameRange;

    @ApiModelProperty("本年单方能源费")
    private Double yearPerCount;

    @ApiModelProperty("去年单方能源费")
    private Double lastYearPerCount;

}
