package com.persagy.apm.energy.report.monthly.detail.business.model.dto;

import com.persagy.apm.energy.report.monthly.detail.business.model.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:08:35
 */
@Data
@ApiModel(value = "创建报告详情入参")
public class AddReportBusinessDetailDTO {
    @ApiModelProperty(value = "在营项目用电量数据对象信息,项目月报使用此字段", required = true)
    @NotNull(message = "在营项目用电量数据对象信息,项目月报使用此字段不能为空") // todo 更新校验规则
    private List<OpenPower> openPower;

    @ApiModelProperty(value = "在营项目用电情况说明", required = true)
    @NotNull(message = "在营项目用电情况说明不能为空") // todo 更新校验规则
    private String openPowerExplain;

    @ApiModelProperty(value = "可同比项目用电量数据对象信息", required = true)
    @NotNull(message = "可同比项目用电量数据对象信息不能为空") // todo 更新校验规则
    private List<ComparePower> comparePower;

    @ApiModelProperty(value = "可同比项目用电情况说明", required = true)
    @NotNull(message = "可同比项目用电情况说明不能为空") // todo 更新校验规则
    private String comparePowerExplain;

    @ApiModelProperty(value = "在营项目能源费数据对象信息,项目月报使用此字段", required = true)
    @NotNull(message = "在营项目能源费数据对象信息,项目月报使用此字段不能为空") // todo 更新校验规则
    private List<OpenCost> openCost;

    @ApiModelProperty(value = "在营项目费用说明", required = true)
    @NotNull(message = "在营项目费用说明不能为空") // todo 更新校验规则
    private String openCostExplain;

    @ApiModelProperty(value = "可同比项目能源费数据对象信息", required = true)
    @NotNull(message = "可同比项目能源费数据对象信息不能为空") // todo 更新校验规则
    private List<CompareCost> compareCost;

    @ApiModelProperty(value = "可同比项目费用说明", required = true)
    @NotNull(message = "可同比项目费用说明不能为空") // todo 更新校验规则
    private String compareCostExplain;

    @ApiModelProperty(value = "能耗管理工作开展对象信息", required = true)
    @NotNull(message = "能耗管理工作开展对象信息不能为空") // todo 更新校验规则
    private List<Job> job;

    @ApiModelProperty(value = "备注说明", required = true)
    @NotNull(message = "备注说明不能为空") // todo 更新校验规则
    private String remark;

    @ApiModelProperty(value = "能耗管理平台运维对象信息", required = true)
    @NotNull(message = "能耗管理平台运维对象信息不能为空") // todo 更新校验规则
    private List<Platform> platform;

    @ApiModelProperty(value = "事项说明", required = true)
    @NotNull(message = "事项说明不能为空") // todo 更新校验规则
    private String itemExplain;

    @ApiModelProperty(value = "关联的项目", required = true)
    @NotNull(message = "关联的项目不能为空") // todo 更新校验规则
    private Object projectIds;

}
