package com.persagy.apm.energy.report.monthly.detail.business.model.vo;

import com.persagy.apm.energy.report.monthly.detail.business.model.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:08:35
 */
@Data
@ApiModel(value = "报告详情返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseReportBusinessDetailItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("在营项目用电量数据对象信息,项目月报使用此字段")
    private List<OpenPower> openPower;

    @ApiModelProperty("在营项目用电情况说明")
    private String openPowerExplain;

    @ApiModelProperty("可同比项目用电量数据对象信息")
    private List<ComparePower> comparePower;

    @ApiModelProperty("可同比项目用电情况说明")
    private String comparePowerExplain;

    @ApiModelProperty("在营项目能源费数据对象信息,项目月报使用此字段")
    private List<OpenCost> openCost;

    @ApiModelProperty("在营项目费用说明")
    private String openCostExplain;

    @ApiModelProperty("可同比项目能源费数据对象信息")
    private List<CompareCost> compareCost;

    @ApiModelProperty("可同比项目费用说明")
    private String compareCostExplain;

    @ApiModelProperty("能耗管理工作开展对象信息")
    private List<Job> job;

    @ApiModelProperty("备注说明")
    private String remark;

    @ApiModelProperty("能耗管理平台运维对象信息")
    private List<Platform> platform;

    @ApiModelProperty("事项说明")
    private String itemExplain;

    @ApiModelProperty("关联的项目")
    private Object projectIds;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("最后修改人")
    private String modifier;

    @ApiModelProperty("最后修改时间")
    private Date modifiedTime;

}
