package com.persagy.apm.energy.report.monthly.outline.service;

import com.persagy.apm.energy.report.monthly.outline.model.*;
import com.persagy.apm.energy.report.monthly.outline.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 报告概要(ReportOutline) service接口
 *
 * @author lixing
 * @version V1.0 2021-05-17 11:09:37
 */
public interface IReportOutlineService {

    /**
     * 创建报告概要
     *
     * @param addReportOutlineDTO addDTO
     * @return 报告概要主键
     * @author lixing
     * @version V1.0 2021-05-17 11:09:37
     */
    String createReportOutline(AddReportOutlineDTO addReportOutlineDTO);

    /**
     * 报告概要详情
     *
     * @param id 主键
     * @return 报告概要do对象
     * @author lixing
     * @version V1.0 2021-05-17 11:09:37
     */
    ReportOutline queryReportOutlineDetail(String id);

    /**
     * 更新报告概要
     *
     * @param updateReportOutlineDTO updateDTO
     * @author lixing
     * @version V1.0 2021-05-17 11:09:37
     */
    void updateReportOutline(UpdateReportOutlineDTO updateReportOutlineDTO);

    /**
     * 删除报告概要
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-05-17 11:09:37
     */
    void deleteReportOutline(String id);

    /**
     * 查询报告概要
     *
     * @param queryReportOutlineDTO queryDTO
     * @return List<ReportOutline>
     * @author lixing
     * @version V1.0 2021-05-17 11:09:37
     */
    List<ReportOutline> queryReportOutlineList(QueryReportOutlineDTO queryReportOutlineDTO);

    /**
     * 分页查询报告概要
     *
     * @param pageQueryReportOutlineDTO pageQueryDTO
     * @return IPage<ReportOutline>
     * @author lixing
     * @version V1.0 2021-05-17 11:09:37
     */
    IPage<ReportOutline> pageQueryReportOutline(PageQueryReportOutlineDTO pageQueryReportOutlineDTO);
}
